# API Keys and Access MeasureOne authenticates your API requests using access tokens. If you do not include the `access_token` when making a request, MeasureOne returns an authentication error. To gain access to the MeasureOne API, reach out to us on sales@measureone.com. Once you’ve completed the signup process, we’ll provide a live `client_id` & `secret` for use in our API. You can access our APIs using Access Tokens Or Public Tokens. The Public Tokens are short lived with limited scope while Access Tokens are long lived. You can access our purge APIs using Purge Tokens. ## Generate Access Token - [POST /v3/auth/generate_access_token](https://docs.measureone.com/api/openapi_3.2/openapi/api-keys-and-access/paths/~1v3~1auth~1generate_access_token/post.md): This API returns the access token required for you to access the MeasureOne APIs. The Authorization header should contain the word word followed by a space and a base64-encoded string . For example, to authorize as demo / p@55w0rd you should send This API does not require any request body ## Generate Purge Token - [POST /v3/auth/generate_purge_token](https://docs.measureone.com/api/openapi_3.2/openapi/api-keys-and-access/paths/~1v3~1auth~1generate_purge_token/post.md): This API returns the purge token required for you to access the MeasureOne Compliance APIs. The Authorization header should contain the word word followed by a space and a base64-encoded string . For example, to authorize as demo / p@55w0rd you should send This API does not require any request body ## Invalidate Token - [POST /v3/auth/invalidate](https://docs.measureone.com/api/openapi_3.2/openapi/api-keys-and-access/paths/~1v3~1auth~1invalidate/post.md): This API invalidates the provided Token. The Authorization header should contain the word word followed by a space and a base64-encoded string . For example, to authorize as demo / p@55w0rd you should send This API does not require any request body ## Generate Public Token - [POST /v3/auth/generate_public_token](https://docs.measureone.com/api/openapi_3.2/openapi/api-keys-and-access/paths/~1v3~1auth~1generate_public_token/post.md): This API returns the Public Token which are short lived tokens required for you to access MeasureOne APIs. The Authorization header should contain the word word followed by a space and a base64-encoded string . For example, to authorize as demo / p@55w0rd you should send ### Public Tokens